Bug 510466 - backtrace in cssh
backtrace in cssh
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl-Tk (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 08:07 EDT by Ales Zelinka
Modified: 2010-12-05 01:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:44:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Zelinka 2009-07-09 08:07:07 EDT
Description of problem:
Cssh can't be run because of backtrace in Tk

Version-Release number of selected component (if applicable):
clusterssh-3.26-1.fc12.noarch
perl-Tk-804.028-9.fc12.x86_64
perl-5.10.0-71.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. just run "cssh" nothing else needed
  
Actual results:
(gdb) run /usr/bin/cssh
Starting program: /usr/bin/perl /usr/bin/cssh
[Thread debugging using libthread_db enabled]
*** buffer overflow detected ***: /usr/bin/perl terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x398b8f6ff7]
/lib64/libc.so.6[0x398b8f4f90]
/usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Tk/Tk.so[0x7ffff17cc77f]
/usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Tk/Tk.so(Tcl_CreateHashEntry+0xd8)[0x7ffff17cc018]
/usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Tk/Tk.so(TkBindInit+0x50)[0x7ffff17d7c80]
/usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Tk/Tk.so(TkCreateMainWindow+0xad)[0x7ffff182bb1d]
/usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Tk/Tk.so[0x7ffff17e9510]
/usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Tk/Tk.so(XS_Tk__MainWindow_Create+0x1cc)[0x7ffff17b817c]
/usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/CORE/libperl.so(Perl_pp_entersub+0x5ba)[0x7ffff7d16c8a]
/usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/CORE/libperl.so(Perl_runops_debug+0x138)[0x7ffff7cecd18]
/usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/CORE/libperl.so(perl_run+0x470)[0x7ffff7d12df0]
/usr/bin/perl(main+0xec)[0x400cfc]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x398b81eaed]
/usr/bin/perl[0x400b49]
======= Memory map: ========
00400000-00401000 r-xp 00000000 fd:02 55228                              /usr/bin/perl
00601000-00602000 rw-p 00001000 fd:02 55228                              /usr/bin/perl
00602000-016e7000 rw-p 00000000 00:00 0                                  [heap]
398b400000-398b41f000 r-xp 00000000 fd:02 1138719                        /lib64/ld-2.10.90.so
398b61f000-398b620000 r--p 0001f000 fd:02 1138719                        /lib64/ld-2.10.90.so
398b620000-398b621000 rw-p 00020000 fd:02 1138719                        /lib64/ld-2.10.90.so
398b800000-398b96b000 r-xp 00000000 fd:02 1138777                        /lib64/libc-2.10.90.so
398b96b000-398bb6b000 ---p 0016b000 fd:02 1138777                        /lib64/libc-2.10.90.so
398bb6b000-398bb6f000 r--p 0016b000 fd:02 1138777                        /lib64/libc-2.10.90.so
398bb6f000-398bb70000 rw-p 0016f000 fd:02 1138777                        /lib64/libc-2.10.90.so
398bb70000-398bb75000 rw-p 00000000 00:00 0 
398bc00000-398bc84000 r-xp 00000000 fd:02 1139014                        /lib64/libm-2.10.90.so
398bc84000-398be83000 ---p 00084000 fd:02 1139014                        /lib64/libm-2.10.90.so
398be83000-398be84000 r--p 00083000 fd:02 1139014                        /lib64/libm-2.10.90.so
398be84000-398be85000 rw-p 00084000 fd:02 1139014                        /lib64/libm-2.10.90.so
398c000000-398c002000 r-xp 00000000 fd:02 1139012                        /lib64/libdl-2.10.90.so
398c002000-398c202000 ---p 00002000 fd:02 1139012                        /lib64/libdl-2.10.90.so
398c202000-398c203000 r--p 00002000 fd:02 1139012                        /lib64/libdl-2.10.90.so
398c203000-398c204000 rw-p 00003000 fd:02 1139012                        /lib64/libdl-2.10.90.so
398c400000-398c417000 r-xp 00000000 fd:02 1138887                        /lib64/libpthread-2.10.90.so
398c417000-398c616000 ---p 00017000 fd:02 1138887                        /lib64/libpthread-2.10.90.so
398c616000-398c617000 r--p 00016000 fd:02 1138887                        /lib64/libpthread-2.10.90.so
398c617000-398c618000 rw-p 00017000 fd:02 1138887                        /lib64/libpthread-2.10.90.so
398c618000-398c61c000 rw-p 00000000 00:00 0 
398d800000-398d816000 r-xp 00000000 fd:02 1139072                        /lib64/libresolv-2.10.90.so
398d816000-398da16000 ---p 00016000 fd:02 1139072                        /lib64/libresolv-2.10.90.so
398da16000-398da17000 r--p 00016000 fd:02 1139072                        /lib64/libresolv-2.10.90.so
398da17000-398da18000 rw-p 00017000 fd:02 1139072                        /lib64/libresolv-2.10.90.so
398da18000-398da1a000 rw-p 00000000 00:00 0 
398e400000-398e402000 r-xp 00000000 fd:02 55129                          /usr/lib64/libXau.so.6.0.0
398e402000-398e601000 ---p 00002000 fd:02 55129                          /usr/lib64/libXau.so.6.0.0
398e601000-398e602000 rw-p 00001000 fd:02 55129                          /usr/lib64/libXau.so.6.0.0
398e800000-398e81a000 r-xp 00000000 fd:02 55155                          /usr/lib64/libxcb.so.1.1.0
398e81a000-398ea1a000 ---p 0001a000 fd:02 55155                          /usr/lib64/libxcb.so.1.1.0
398ea1a000-398ea1b000 rw-p 0001a000 fd:02 55155                          /usr/lib64/libxcb.so.1.1.0
398fc00000-398fc26000 r-xp 00000000 fd:02 1139207                        /lib64/libexpat.so.1.5.2
398fc26000-398fe25000 ---p 00026000 fd:02 1139207                        /lib64/libexpat.so.1.5.2
398fe25000-398fe28000 rw-p 00025000 fd:02 1139207                        /lib64/libexpat.so.1.5.2
3990000000-3990093000 r-xp 00000000 fd:02 55796                          /usr/lib64/libfreetype.so.6.3.20
3990093000-3990293000 ---p 00093000 fd:02 55796                          /usr/lib64/libfreetype.so.6.3.20
3990293000-3990299000 rw-p 00093000 fd:02 55796                          /usr/lib64/libfreetype.so.6.3.20
3990400000-3990434000 r-xp 00000000 fd:02 55908                          /usr/lib64/libfontconfig.so.1.3.0
3990434000-3990634000 ---p 00034000 fd:02 55908                          /usr/lib64/libfontconfig.so.1.3.0
3990634000-3990636000 rw-p 00034000 fd:02 55908                          /usr/lib64/libfontconfig.so.1.3.0
3996400000-399641a000 r-xp 00000000 fd:02 1139029                        /lib64/libgcc_s-4.4.0-20090623.so.1
399641a000-3996619000 ---p 0001a000 fd:02 1139029                        /lib64/libgcc_s-4.4.0-20090623.so.1
3996619000-399661a000 rw-p 00019000 fd:02 1139029                        /lib64/libgcc_s-4.4.0-20090623.so.1
399ac00000-399ac02000 r-xp 00000000 fd:02 893030                         /lib64/libutil-2.10.90.so
399ac02000-399ae01000 ---p 00002000 fd:02 893030                         /lib64/libutil-2.10.90.so
399ae01000-399ae02000 r--p 00001000 fd:02 893030                         /lib64/libutil-2.10.90.so
399ae02000-399ae03000 rw-p 00002000 fd:02 893030                         /lib64/libutil-2.10.90.so
399d000000-399d017000 r-xp 00000000 fd:02 893041                         /lib64/libnsl-2.10.90.so
399d017000-399d216000 ---p 00017000 fd:02 893041                         /lib64/libnsl-2.10.90.so
399d216000-399d217000 r--p 00016000 fd:02 893041                         /lib64/libnsl-2.10.90.so
399d217000-399d218000 rw-p 00017000 fd:02 893041                         /lib64/libnsl-2.10.90.so
399d218000-399d21a000 rw-p 00000000 00:00 0 
3b24400000-3b24538000 r-xp 00000000 fd:02 50754                          /usr/lib64/libX11.so.6.2.0
3b24538000-3b24738000 ---p 00138000 fd:02 50754                          /usr/lib64/libX11.so.6.2.0
3b24738000-3b2473e000 rw-p 00138000 fd:02 50754                          /usr/lib64/libX11.so.6.2.0
3b24c00000-3b24c09000 r-xp 00000000 fd:02 50903                          /usr/lib64/libXrender.so.1.3.0
3b24c09000-3b24e08000 ---p 00009000 fd:02 50903                          /usr/lib64/libXrender.so.1.3.0
3b24e08000-3b24e09000 rw-p 00008000 fd:02 50903                          /usr/lib64/libXrender.so.1.3.0
3b29000000-3b29014000 r-xp 00000000 fd:02 55231                          /usr/lib64/libXft.so.2.1.13
3b29014000-3b29213000 ---p 00014000 fd:02 55231                          /usr/lib64/libXft.so.2.1.13
3b29213000-3b29214000 rw-p 00013000 fd:02 55231                          /usr/lib64/libXft.so.2.1.13
7ffff0b13000-7ffff0b15000 r-xp 00000000 fd:02 279357                     /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/auto/Sys/Hostname/Hostname.so
7ffff0b15000-7ffff0d14000 ---p 00002000 fd:02 279357                     /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/auto/Sys/Hostname/Hostname.so
7ffff0d14000-7ffff0d15000 rw-p 00001000 fd:02 279357                     /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/auto/Sys/Hostname/Hostname.so
7ffff0d15000-7ffff0d1b000 r-xp 00000000 fd:02 279330                     /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/auto/Socket/Socket.so
7ffff0d1b000-7ffff0f1a000 ---p 00006000 fd:02 279330                     /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/auto/Socket/Socket.so
7ffff0f1a000-7ffff0f1c000 rw-p 00005000 fd:02 279330                     /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/auto/Socket/Socket.so
7ffff0f1c000-7ffff0f28000 r-xp 00000000 fd:02 297180                     /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Tk/Entry/Entry.so
7ffff0f28000-7ffff1128000 ---p 0000c000 fd:02 297180                     /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Tk/Entry/Entry.so
7ffff1128000-7ffff112a000 rw-p 0000c000 fd:02 297180                     /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Tk/Entry/Entry.so
7ffff112a000-7ffff112f000 r-xp 00000000 fd:02 279156                     /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/auto/File/Glob/Glob.so
7ffff112f000-7ffff132e000 ---p 00005000 fd:02 279156                     /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/auto/File/Glob/Glob.so
7ffff132e000-7ffff132f000 rw-p 00004000 fd:02 279156                     /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi/auto/File/Glob/Glob.so
7ffff132f000-7ffff1350000 r-xp 00000000 fd:02 297286                   
Program received signal SIGABRT, Aborted.
0x000000398b833445 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Current language:  auto; currently minimal
(gdb) bt
#0  0x000000398b833445 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x000000398b834c45 in *__GI_abort () at abort.c:92
#2  0x000000398b86fe93 in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:186
#3  0x000000398b935a79 in ?? () from /lib64/libc.so.6
#4  0x0000000000000004 in ?? ()
#5  0x000000398b935a10 in ?? () from /lib64/libc.so.6
#6  0x0000000000000018 in ?? ()
#7  0x000000398b935a7f in ?? () from /lib64/libc.so.6
#8  0x0000000000000006 in ?? ()
#9  0x00007fffffffe554 in ?? ()
#10 0x000000000000000d in ?? ()
#11 0x000000398b935a87 in ?? () from /lib64/libc.so.6
#12 0x000000000000000c in ?? ()
#13 0x0000000000000000 in ?? ()
(gdb)
Comment 1 Bug Zapper 2009-11-16 05:45:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-11-04 06:49:34 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-05 01:44:05 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.